<?php

namespace App\Http\Requests\Authz;

use Illuminate\Foundation\Http\FormRequest;

class RoleIndexRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'page' => 'sometimes|integer|min:1',
            'size' => 'sometimes|integer|min:1|max:100',
            'q' => 'sometimes|nullable|string|max:100',
            'is_hidden' => 'sometimes|boolean',
        ];
    }
}
